<div class="wrapper">

  <highcharts-chart  id="chart-container" [Highcharts]="Highcharts"
    [constructorType]="chartConstructor" [options]="chartOptions" style="width: 100%; height: 550px;">
  </highcharts-chart>

  <highcharts-chart id="map-container" [Highcharts]="mapHighcharts"
  [constructorType]="mapChartConstructor" [options]="mapOptions" style="width: 100%; height: 550px;" >
</highcharts-chart>


  <div class="search-bar">
    <form [formGroup]="searchForm" class="search-form">
      <mat-form-field>
        <mat-label>Top N Plants</mat-label>
        <input matInput formControlName="topN" type="number" min=1 placeholder="Enter Top N Plants" />
      </mat-form-field>
    </form>
    <button [disabled]="searchForm.invalid" mat-raised-button color="accent" (click)="onSubmit()"
      class="search-button search-input">Search</button>
  </div>

</div>
